import type { FC } from 'react';
import React from 'react';
import type { ItemType } from '../menu/hooks/useItems';
export interface HeaderProps extends React.HTMLAttributes<HTMLLIElement> {
    menuItems: ItemType[];
    className?: string;
    prefixCls?: string;
    btnActions?: React.ReactNode;
    avatar?: React.ReactNode;
    position?: 'fixed' | 'relative';
}
declare const Header: FC<HeaderProps>;
export default Header;
