import * as React from 'react';
import type { BlockProps, EllipsisConfig } from './Base';
declare const TITLE_ELE_LIST: [1, 2];
export interface TextProps extends BlockProps {
    ellipsis?: boolean | Omit<EllipsisConfig, 'expandable' | 'rows' | 'onExpand'>;
    onClick?: (e?: React.MouseEvent<HTMLDivElement>) => void;
    level?: typeof TITLE_ELE_LIST[number];
    block?: boolean;
    version?: 1 | 2;
}
declare const _default: React.ForwardRefExoticComponent<TextProps & React.RefAttributes<HTMLSpanElement>>;
export default _default;
