import type React from 'react';
import type { OtpInputProps } from 'react-otp-input-rc-17';
interface OtpProps extends OtpInputProps {
    titleText?: string;
    descriptionText: React.ReactNode;
    reSendText?: string;
    errorText?: string;
    countDownTime?: number;
    expiredText?: string;
    onResend: () => void;
    onConfirmOtp: (otp: any) => void;
    blockNotifyPopup?: () => void;
    prefixCls?: string;
}
declare const NUMBER_OF_OTP_INPUT = 6;
declare const DEFAULT_COUNT_DOWN_TIME: number;
declare const TITLE_TEXT = "X\u00E1c th\u1EF1c OTP";
declare const RE_SEND_TEXT = "G\u1EEDi l\u1EA1i m\u00E3 OTP";
declare const EXPIRED_OTP = "M\u00E3 x\u00E1c th\u1EF1c OTP h\u1EBFt hi\u1EC7u l\u1EF1c. Vui l\u00F2ng ch\u1ECDn G\u1EEDi l\u1EA1i OTP \u0111\u1EC3 ti\u1EBFp t\u1EE5c!";
export { OtpProps, NUMBER_OF_OTP_INPUT, DEFAULT_COUNT_DOWN_TIME, TITLE_TEXT, RE_SEND_TEXT, EXPIRED_OTP, };
