"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _CautionCircleOutlined = _interopRequireDefault(require("msb-icons-svg/lib/src/icons/CautionCircleOutlined"));

var _PlusCircleOutlined = _interopRequireDefault(require("msb-icons-svg/lib/src/icons/PlusCircleOutlined"));

var _react = _interopRequireDefault(require("react"));

var _button = _interopRequireDefault(require("../button"));

var _grid = require("../grid");

var _space = _interopRequireDefault(require("../space"));

var _typography = _interopRequireDefault(require("../typography"));

var _Upload = _interopRequireDefault(require("./Upload"));

var UploadCard = function UploadCard(props, ref) {
  return /*#__PURE__*/_react["default"].createElement(_grid.Row, {
    justify: "space-between",
    align: "middle"
  }, /*#__PURE__*/_react["default"].createElement(_grid.Col, null, /*#__PURE__*/_react["default"].createElement("div", null, "Document name"), /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_typography["default"].Note, {
    level: 2,
    disabled: true
  }, "\u1EA2nh, Word, PDF"))), /*#__PURE__*/_react["default"].createElement(_grid.Col, null, /*#__PURE__*/_react["default"].createElement(_space["default"], null, /*#__PURE__*/_react["default"].createElement(_CautionCircleOutlined["default"], null), /*#__PURE__*/_react["default"].createElement(_Upload["default"], (0, _extends2["default"])({}, props, {
    ref: ref
  }), /*#__PURE__*/_react["default"].createElement(_button["default"], {
    icon: /*#__PURE__*/_react["default"].createElement(_PlusCircleOutlined["default"], null)
  }, "T\u1EA3i h\u1ED3 s\u01A1 l\xEAn")))));
};

var _default = /*#__PURE__*/_react["default"].forwardRef(UploadCard);

exports["default"] = _default;