import * as React from 'react';
export interface MenuListProps {
    prefixCls?: string;
    className?: string;
    style?: React.CSSProperties;
    /**
     * It is an absolute controlled component and has no uncontrolled mode.
     *
     * .zh-cn 该组件为完全受控组件，不支持非受控用法。
     */
    prefixIcon?: React.ReactNode;
    title?: React.ReactNode;
    suffixIcon?: React.ReactNode;
    onClick?: (e: React.MouseEvent<HTMLSpanElement, MouseEvent>) => void;
}
declare const MenuList: React.FC<MenuListProps>;
export default MenuList;
