import React from 'react';
import type { OtpProps } from './interface';
declare type OtpHandle = {
    setBlockTime: (time: number) => void;
    startOtp: () => void;
    setError: (text: string) => void;
};
export interface OtpPropsType extends OtpProps {
    isDisabled?: boolean;
    className?: string;
}
declare const _default: React.ForwardRefExoticComponent<OtpPropsType & React.RefAttributes<OtpHandle>>;
export default _default;
