import _extends from "@babel/runtime/helpers/esm/extends";

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import classNames from 'classnames';
import * as React from 'react';
import Base from './Base';

var Tiny = function Tiny(props, ref) {
  var _props$block = props.block,
      block = _props$block === void 0 ? true : _props$block,
      className = props.className,
      restProps = __rest(props, ["block", "className"]);

  var component = block ? "div" : "span";
  return /*#__PURE__*/React.createElement(Base, _extends({
    ref: ref
  }, restProps, {
    className: classNames('typography-tiny-v2', className),
    component: component
  }));
};

export default /*#__PURE__*/React.forwardRef(Tiny);