import _extends from "@babel/runtime/helpers/esm/extends";
import CautionCircleOutlined from "msb-icons-svg/es/src/icons/CautionCircleOutlined";
import PlusCircleOutlined from "msb-icons-svg/es/src/icons/PlusCircleOutlined";
import React from 'react';
import Button from '../button';
import { Col, Row } from '../grid';
import Space from '../space';
import Typography from '../typography';
import Upload from './Upload';

var UploadCard = function UploadCard(props, ref) {
  return /*#__PURE__*/React.createElement(Row, {
    justify: "space-between",
    align: "middle"
  }, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement("div", null, "Document name"), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Typography.Note, {
    level: 2,
    disabled: true
  }, "\u1EA2nh, Word, PDF"))), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Space, null, /*#__PURE__*/React.createElement(CautionCircleOutlined, null), /*#__PURE__*/React.createElement(Upload, _extends({}, props, {
    ref: ref
  }), /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(PlusCircleOutlined, null)
  }, "T\u1EA3i h\u1ED3 s\u01A1 l\xEAn")))));
};

export default /*#__PURE__*/React.forwardRef(UploadCard);