import Caption from './Caption';
import Heading from './Heading';
import Link from './Link';
import Note from './Note';
import Paragraph from './Paragraph';
import SubTitle from './SubTitle';
import Text from './Text';
import Tiny from './Tiny';
import Title from './Title';
import OriginTypography from './Typography';
export declare type TypographyProps = typeof OriginTypography & {
    Text: typeof Text;
    Link: typeof Link;
    Heading: typeof Heading;
    Title: typeof Title;
    SubTitle: typeof SubTitle;
    Caption: typeof Caption;
    Note: typeof Note;
    Paragraph: typeof Paragraph;
    Tiny: typeof Tiny;
};
declare const Typography: TypographyProps;
export default Typography;
